
package de.ivu.elect.presentation.kandidatur.action;

import javax.inject.Named;

import de.ivu.elect.business.kandidatur.entity.Kandidatur;
import de.ivu.elect.presentation.menu.AbstractActionEntry;
import de.ivu.elect.presentation.person.action.AbstractPersonendatenPersonenKonfliktAufloesenAction;
import de.ivu.elect.presentation.person.action.AbstractPersonendatenRowDblSelectAction;

@Named(KandidaturRowDblSelectAction.COMPONENT_NAME)
public class KandidaturRowDblSelectAction extends AbstractPersonendatenRowDblSelectAction<Kandidatur> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "kandidaturRowDblSelectAction";

  public KandidaturRowDblSelectAction() {
    super();
  }

  @Override
  protected AbstractActionEntry<Kandidatur> resolveEditAction(Kandidatur kandidatur) {
    // In core: keine Aktion für Kandidaturen.
    return null;
  }

  @Override
  protected AbstractPersonendatenPersonenKonfliktAufloesenAction<Kandidatur> resolvePersonenKonfliktEditAction(Kandidatur kandidatur) {
    // In core: keine Aktion für Kandidaturen.
    return null;
  }
}
